<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja pliku moc_MainWindow.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('build_2moc___main_window_8cpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Komponenty</a> &#124;
<a href="#namespaces">Przestrzenie nazw</a> &#124;
<a href="#define-members">Definicje</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja pliku build/moc_MainWindow.cpp</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_main_window_8hpp_source.html">../inc/MainWindow.hpp</a>&quot;</code><br />
<code>#include &lt;QtGui/qtextcursor.h&gt;</code><br />
<code>#include &lt;QtCore/qmetatype.h&gt;</code><br />
<code>#include &lt;memory&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla build/moc_MainWindow.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="build_2moc___main_window_8cpp__incl.png" border="0" usemap="#amoc___main_window_8cpp" alt=""/></div>
<map name="amoc___main_window_8cpp" id="amoc___main_window_8cpp">
<area shape="rect" title=" " alt="" coords="791,5,943,31"/>
<area shape="rect" href="_main_window_8hpp.html" title=" " alt="" coords="545,79,695,104"/>
<area shape="poly" title=" " alt="" coords="828,33,674,77,672,72,826,28"/>
<area shape="rect" title=" " alt="" coords="719,79,854,104"/>
<area shape="poly" title=" " alt="" coords="856,33,812,72,808,68,852,29"/>
<area shape="rect" title=" " alt="" coords="878,79,1015,104"/>
<area shape="poly" title=" " alt="" coords="881,29,925,68,922,72,878,33"/>
<area shape="rect" title=" " alt="" coords="1039,79,1107,104"/>
<area shape="poly" title=" " alt="" coords="901,28,1028,72,1026,77,899,33"/>
<area shape="rect" title=" " alt="" coords="56,152,163,177"/>
<area shape="poly" title=" " alt="" coords="545,104,176,154,176,149,544,99"/>
<area shape="rect" title=" " alt="" coords="187,152,287,177"/>
<area shape="poly" title=" " alt="" coords="559,107,301,154,300,149,558,101"/>
<area shape="rect" href="_terminal_8hpp.html" title=" " alt="" coords="312,152,408,177"/>
<area shape="poly" title=" " alt="" coords="579,107,416,151,415,146,578,101"/>
<area shape="rect" href="_distance_win_8hpp.html" title=" " alt="" coords="561,152,679,177"/>
<area shape="poly" title=" " alt="" coords="623,104,623,138,617,138,617,104"/>
<area shape="rect" href="_velocity_graph_8hpp.html" title=" " alt="" coords="814,152,941,177"/>
<area shape="poly" title=" " alt="" coords="662,101,823,146,822,151,661,107"/>
<area shape="rect" href="_map3_d_8hpp.html" title=" " alt="" coords="703,152,790,177"/>
<area shape="poly" title=" " alt="" coords="642,102,715,143,713,147,639,106"/>
<area shape="rect" href="_robot_data_8hpp.html" title=" " alt="" coords="3607,299,3713,324"/>
<area shape="poly" title=" " alt="" coords="696,100,707,101,1238,139,2128,195,3029,252,3375,277,3593,296,3593,301,3374,282,3028,258,2128,200,1238,144,706,107,695,105"/>
<area shape="rect" href="_reader_thr_8hpp.html" title=" " alt="" coords="3027,152,3133,177"/>
<area shape="poly" title=" " alt="" coords="696,100,707,101,1034,123,1311,135,1555,139,1782,139,2253,137,2531,140,2859,149,3013,157,3013,162,2859,155,2531,146,2253,143,1782,145,1555,145,1311,140,1034,128,706,107,695,106"/>
<area shape="rect" href="_travel_info_8hpp.html" title=" " alt="" coords="432,152,536,177"/>
<area shape="poly" title=" " alt="" coords="599,106,519,148,517,143,597,102"/>
<area shape="rect" title=" " alt="" coords="118,225,197,251"/>
<area shape="poly" title=" " alt="" coords="328,180,204,223,202,218,327,175"/>
<area shape="rect" title=" " alt="" coords="5,225,93,251"/>
<area shape="poly" title=" " alt="" coords="312,180,107,226,106,221,311,174"/>
<area shape="rect" href="_framed_widget_8hpp.html" title=" " alt="" coords="419,225,549,251"/>
<area shape="poly" title=" " alt="" coords="381,175,453,216,451,221,379,180"/>
<area shape="rect" title=" " alt="" coords="389,299,459,324"/>
<area shape="poly" title=" " alt="" coords="476,253,445,290,440,286,472,249"/>
<area shape="rect" title=" " alt="" coords="301,299,365,324"/>
<area shape="poly" title=" " alt="" coords="461,253,372,295,369,290,459,248"/>
<area shape="rect" title=" " alt="" coords="483,299,586,324"/>
<area shape="poly" title=" " alt="" coords="495,249,521,286,516,289,490,253"/>
<area shape="poly" title=" " alt="" coords="599,180,519,221,517,217,597,175"/>
<area shape="rect" href="_numeric_data_8hpp.html" title=" " alt="" coords="272,225,395,251"/>
<area shape="poly" title=" " alt="" coords="575,180,394,225,392,219,573,175"/>
<area shape="rect" href="_robot_image_8hpp.html" title=" " alt="" coords="574,225,690,251"/>
<area shape="poly" title=" " alt="" coords="625,177,630,211,625,212,619,178"/>
<area shape="poly" title=" " alt="" coords="336,251,336,285,331,285,331,251"/>
<area shape="rect" title=" " alt="" coords="103,299,182,324"/>
<area shape="poly" title=" " alt="" coords="304,253,188,296,186,291,302,248"/>
<area shape="rect" title=" " alt="" coords="206,299,277,324"/>
<area shape="poly" title=" " alt="" coords="320,253,269,292,265,288,317,249"/>
<area shape="rect" title=" " alt="" coords="610,299,683,324"/>
<area shape="poly" title=" " alt="" coords="637,250,644,285,639,286,632,252"/>
<area shape="rect" title=" " alt="" coords="708,299,780,324"/>
<area shape="poly" title=" " alt="" coords="651,248,715,289,712,293,649,253"/>
<area shape="poly" title=" " alt="" coords="815,180,562,225,561,220,814,175"/>
<area shape="rect" href="qcustomplot_8hpp.html" title=" " alt="" coords="2087,225,2204,251"/>
<area shape="poly" title=" " alt="" coords="941,167,2073,230,2073,235,941,172"/>
<area shape="rect" title=" " alt="" coords="2863,299,2982,324"/>
<area shape="poly" title=" " alt="" coords="2204,240,2479,260,2850,296,2849,301,2478,265,2204,245"/>
<area shape="rect" title=" " alt="" coords="3007,299,3121,324"/>
<area shape="poly" title=" " alt="" coords="2204,239,2540,257,2765,274,2994,296,2994,296,2993,301,2993,301,2765,279,2540,262,2204,244"/>
<area shape="rect" title=" " alt="" coords="3146,299,3265,324"/>
<area shape="poly" title=" " alt="" coords="2205,238,2590,254,2857,271,3133,296,3132,301,2856,277,2590,260,2204,244"/>
<area shape="rect" title=" " alt="" coords="3289,299,3447,324"/>
<area shape="poly" title=" " alt="" coords="2204,238,2645,255,2955,272,3275,296,3275,301,2955,277,2645,261,2204,244"/>
<area shape="rect" title=" " alt="" coords="3471,299,3582,324"/>
<area shape="poly" title=" " alt="" coords="2205,237,2409,239,2716,247,3081,265,3271,279,3458,296,3457,301,3270,284,3080,270,2716,253,2409,244,2204,242"/>
<area shape="rect" title=" " alt="" coords="805,299,915,324"/>
<area shape="poly" title=" " alt="" coords="2086,242,1895,246,1612,255,1276,272,929,301,929,296,1276,267,1612,249,1895,240,2086,237"/>
<area shape="rect" title=" " alt="" coords="940,299,1079,324"/>
<area shape="poly" title=" " alt="" coords="2086,244,1675,260,1389,277,1093,301,1092,296,1389,272,1675,255,2086,238"/>
<area shape="rect" title=" " alt="" coords="1103,299,1236,324"/>
<area shape="poly" title=" " alt="" coords="2087,244,1737,262,1497,279,1250,301,1249,296,1497,274,1736,257,2086,239"/>
<area shape="rect" title=" " alt="" coords="1261,299,1403,324"/>
<area shape="poly" title=" " alt="" coords="2087,246,1803,266,1417,301,1417,296,1803,261,2086,240"/>
<area shape="rect" title=" " alt="" coords="1428,299,1567,324"/>
<area shape="poly" title=" " alt="" coords="2087,247,1868,269,1581,301,1580,296,1868,264,2086,242"/>
<area shape="rect" title=" " alt="" coords="1591,299,1705,324"/>
<area shape="poly" title=" " alt="" coords="2087,250,1719,301,1718,296,2086,244"/>
<area shape="rect" title=" " alt="" coords="1729,299,1844,324"/>
<area shape="poly" title=" " alt="" coords="2088,253,1858,299,1857,293,2087,248"/>
<area shape="rect" title=" " alt="" coords="1869,299,1979,324"/>
<area shape="poly" title=" " alt="" coords="2111,253,1973,297,1972,292,2109,248"/>
<area shape="rect" title=" " alt="" coords="2004,299,2137,324"/>
<area shape="poly" title=" " alt="" coords="2135,253,2095,291,2091,287,2132,249"/>
<area shape="rect" title=" " alt="" coords="2161,299,2292,324"/>
<area shape="poly" title=" " alt="" coords="2160,249,2205,288,2201,292,2157,253"/>
<area shape="rect" title=" " alt="" coords="2316,299,2425,324"/>
<area shape="poly" title=" " alt="" coords="2182,248,2322,292,2320,297,2181,253"/>
<area shape="rect" title=" " alt="" coords="2449,299,2564,324"/>
<area shape="poly" title=" " alt="" coords="2204,248,2436,293,2435,299,2203,253"/>
<area shape="rect" title=" " alt="" coords="2589,299,2699,324"/>
<area shape="poly" title=" " alt="" coords="2205,244,2576,296,2575,301,2204,250"/>
<area shape="rect" title=" " alt="" coords="2724,299,2839,324"/>
<area shape="poly" title=" " alt="" coords="2204,242,2427,263,2711,296,2711,296,2711,301,2710,301,2426,268,2204,247"/>
<area shape="poly" title=" " alt="" coords="705,180,541,224,539,219,704,175"/>
<area shape="poly" title=" " alt="" coords="771,175,792,189,812,207,825,228,826,240,822,252,805,276,782,294,779,289,801,272,818,249,820,239,820,229,808,210,789,193,768,180"/>
<area shape="rect" title=" " alt="" coords="715,225,808,251"/>
<area shape="poly" title=" " alt="" coords="752,177,759,211,754,212,746,178"/>
<area shape="rect" title=" " alt="" coords="3091,225,3163,251"/>
<area shape="poly" title=" " alt="" coords="3090,176,3114,212,3109,215,3085,179"/>
<area shape="rect" title=" " alt="" coords="3001,225,3066,251"/>
<area shape="poly" title=" " alt="" coords="3075,179,3051,215,3046,212,3070,176"/>
<area shape="rect" href="_serial_port_8hpp.html" title=" " alt="" coords="3486,225,3589,251"/>
<area shape="poly" title=" " alt="" coords="3134,172,3473,224,3472,229,3133,177"/>
<area shape="poly" title=" " alt="" coords="3558,248,3630,289,3627,294,3556,253"/>
<area shape="poly" title=" " alt="" coords="487,178,487,212,481,212,481,178"/>
<area shape="poly" title=" " alt="" coords="433,180,337,203,261,228,210,259,168,291,164,287,207,254,259,223,336,198,431,175"/>
</map>
</div>
</div>
<p><a href="build_2moc___main_window_8cpp_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Komponenty</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_aa48c4f7148681482a19d10736c6999b5.html">QT_WARNING_DISABLE_DEPRECATED::qt_meta_stringdata_CLASSMainWindowENDCLASS_t</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="namespaces" name="namespaces"></a>
Przestrzenie nazw</h2></td></tr>
<tr class="memitem:namespace_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d"><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d.html">QT_WARNING_DISABLE_DEPRECATED</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Definicje</h2></td></tr>
<tr class="memitem:ad83b2306f94b5b9e5625794fc238c8a0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="build_2moc___main_window_8cpp.html#ad83b2306f94b5b9e5625794fc238c8a0">Q_CONSTINIT</a></td></tr>
<tr class="separator:ad83b2306f94b5b9e5625794fc238c8a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c6e81753001d10d51e62d0a29c273bc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="build_2moc___main_window_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">QT_MOC_LITERAL</a>(ofs,  len)&#160;&#160;&#160;    uint(sizeof(qt_meta_stringdata_CLASSMainWindowENDCLASS_t::offsetsAndSizes) + ofs), len</td></tr>
<tr class="separator:a3c6e81753001d10d51e62d0a29c273bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Dokumentacja definicji</h2>
<a id="ad83b2306f94b5b9e5625794fc238c8a0" name="ad83b2306f94b5b9e5625794fc238c8a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad83b2306f94b5b9e5625794fc238c8a0">&#9670;&#160;</a></span>Q_CONSTINIT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define Q_CONSTINIT</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="build_2moc___main_window_8cpp_source.html#l00031">31</a> pliku <a class="el" href="build_2moc___main_window_8cpp_source.html">build/moc_MainWindow.cpp</a>.</p>

</div>
</div>
<a id="a3c6e81753001d10d51e62d0a29c273bc" name="a3c6e81753001d10d51e62d0a29c273bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c6e81753001d10d51e62d0a29c273bc">&#9670;&#160;</a></span>QT_MOC_LITERAL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define QT_MOC_LITERAL</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">ofs, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">len&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;    uint(sizeof(qt_meta_stringdata_CLASSMainWindowENDCLASS_t::offsetsAndSizes) + ofs), len</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="build_2moc___main_window_8cpp_source.html#l00049">49</a> pliku <a class="el" href="build_2moc___main_window_8cpp_source.html">build/moc_MainWindow.cpp</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4fef79e7177ba769987a8da36c892c5f.html">build</a></li><li class="navelem"><a class="el" href="build_2moc___main_window_8cpp.html">moc_MainWindow.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
